rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
rpmfd-py.c File Reference
PYTHON-C Language Bindings.
`#include "system.h"`
`#include <glob.h>`
`#include <dirent.h>`
`#include <rpmio_internal.h>`
`#include <rpmcb.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include "header-py.h"`
`#include "rpmfd-py.h"`
`#include "debug.h"`
Include dependency graph for rpmfd-py.c:

Go to the source code of this file.

## Data Structures
struct | FDlist_t

## Functions
static void | rpmfd_dealloc (rpmfdObject *s)
static PyObject * | rpmfd_getattro (PyObject *o, PyObject *n)
static int | rpmfd_setattro (PyObject *o, PyObject *n, PyObject *v)
static int | rpmfd_init (rpmfdObject *s, PyObject *args, PyObject *kwds)
static void | rpmfd_free (rpmfdObject *s)
static PyObject * | rpmfd_alloc (PyTypeObject *subtype, int nitems)
static rpmfdObject * | rpmfd_new (PyTypeObject *subtype, PyObject *args, PyObject *kwds)
rpmfdObject * | rpmfd_Wrap (FD_t fd)

## Variables
static int | _rpmfd_debug = 1
static struct PyMethodDef | rpmfd_methods []
static char | rpmfd_doc []
PyTypeObject | rpmfd_Type

## Class: Rpmfd
typedef struct FDlist_t | FDlist
static FDlist * | fdhead = NULL
static FDlist * | fdtail = NULL
static int | closeCallback (FILE *f)
static PyObject * | rpmfd_Debug (rpmfdObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmfd_Fopen (PyObject *s, PyObject *args, PyObject *kwds)

## Typedef Documentation

typedef struct FDlist_t FDlist

Definition at line 32 of file rpmfd-py.c.

## Function Documentation

static int closeCallback | ( | FILE * | f | ) |
| static

Definition at line 53 of file rpmfd-py.c.

References _free(), FDlist_t::f, Fclose(), FDlist_t::fd, fdFree(), fdhead, fdLink(), FDlist_t::next, and FDlist_t::note.

Referenced by rpmfd_Fopen().

static PyObject* rpmfd_Debug | ( | rpmfdObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |
| static

Definition at line 92 of file rpmfd-py.c.

References _rpmfd_debug.

static PyObject* rpmfd_Fopen | ( | PyObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |
| static

Definition at line 110 of file rpmfd-py.c.

References _free(), closeCallback(), FDlist_t::f, FDlist_t::fd, fdGetFp(), fdLink(), Ferror(), Fopen(), Fstrerror(), FDlist_t::next, FDlist_t::note, pyrpmError, xmalloc(), and xstrdup().

static PyObject* rpmfd_getattro | ( | PyObject * | o,
|  | PyObject * | n
| ) |  |
| static

Definition at line 194 of file rpmfd-py.c.

static int rpmfd_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v
| ) |  |
| static

Definition at line 200 of file rpmfd-py.c.

## Variable Documentation

int _rpmfd_debug = 1
| static

Definition at line 22 of file rpmfd-py.c.

Referenced by rpmfd_alloc(), rpmfd_Debug(), rpmfd_free(), rpmfd_init(), and rpmfd_new().

FDlist* fdhead = NULL
| static

Definition at line 45 of file rpmfd-py.c.

Referenced by closeCallback().

FDlist* fdtail = NULL
| static

Definition at line 49 of file rpmfd-py.c.

char rpmfd_doc[]
| static

Initial value:
=
""

Definition at line 288 of file rpmfd-py.c.